cdac.medinfo.ccd.datatype

## Class PQR

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.CD
    - - cdac.medinfo.ccd.datatype.CE
      - - cdac.medinfo.ccd.datatype.CV
        - - cdac.medinfo.ccd.datatype.PQR

- All Implemented Interfaces:
    java.io.Serializable

      public class PQR
      extends CV

  A representation of a physical quantity in a unit from any code system. Used to show alternative representation for a physical quantity.

  Java class for PQR complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="PQR">
         <complexContent>
           <extension base="{urn:hl7-org:v3}CV">
             <attribute name="value" type="{urn:hl7-org:v3}real" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PQR()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()` Gets the value of the value property.
    `void` | `setValue(java.lang.String value)` Sets the value of the value property.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.CD

      `getCode, getCodeSystem, getCodeSystemName, getCodeSystemVersion, getDisplayName, getOriginalText, getQualifier, getTranslation, setCode, setCodeSystem, setCodeSystemName, setCodeSystemVersion, setDisplayName, setOriginalText`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PQR

          public PQR()

  - ### Method Detail

    - #### getValue

          public java.lang.String getValue()

      Gets the value of the value property.
      Returns:
        possible object is `String`

    - #### setValue

          public void setValue(java.lang.String value)

      Sets the value of the value property.
      Parameters:
        `value` - allowed object is `String`